Bug 1170663 - Fix licenses and license information in uber-jar distributions
Summary: Fix licenses and license information in uber-jar distributions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Build
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: CR2
: 6.4.0
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-04 15:00 UTC by Tomas Sykora
Modified: 2015-01-28 13:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker ISPN-5048 Major Pull Request Sent Relocate some imported packages in uberjars and remove any javax.* classes 2014-12-04 19:48:59 UTC

Description Tomas Sykora 2014-12-04 15:00:38 UTC
We are including wrong licensing info there. 

Where they come from? How/Where we can change them?

Comment 2 Tomas Sykora 2015-01-15 13:14:35 UTC
Setting to CR2 for evaluation and visibility as this bug was overlooked for CR1.

Comment 3 Tomas Sykora 2015-01-15 14:38:49 UTC
Provided info from Tristan -- Distribution licensing:

embedded is ASL 2.0
embedded-query is LGPL (because of HSearch)
server is LGPL (because of EAP)
remote is ASL 2.0

jboss-datagrid-6.4.0.ER4-library.zip contains LICENSE.txt file with ASL 2.0 -- which is ok. 

In this library distribution we provide 3 uber-jars:

infinispan-cli-6.2.0.ER4-redhat-1.jar
infinispan-embedded-6.2.0.ER4-redhat-1.jar
infinispan-embedded-query-6.2.0.ER4-redhat-1.jar

infinispan-cli and infinispan-embedded are obviously OK too. There is the LICENSE file with ASL 2.0.

But infinispan-embedded-query contains license.txt and readme.txt files with wrong content. 

We need to put there LICENSE file claiming LGPL license and remove readme.txt file completely, or put some related content there.

Comment 4 Dave Stahl 2015-01-15 16:42:11 UTC
jdg 6.4.x PR: https://github.com/infinispan/jdg/pull/448

Comment 5 Tomas Sykora 2015-01-16 08:54:50 UTC
Fixed, infinispan-embedded-query now contains the right license. LGPL 2.1.

Thanks for the fix!


Note You need to log in before you can comment on or make changes to this bug.